declare const regexSplitTime: RegExp;
/**
 * Converts time from 12 hour format to 24 hour format.
 *
 * Reference:
 * {@link https://stackoverflow.com/a/40197728/5303634}
 */
declare function convertTime12to24(time: string, ampm: string): string;
/**
 * Normalizes a time string to have the following format: `hh:mm:ss`.
 */
declare function normalizeTime(time: string): string;
/**
 * Normalizes `am` / `a.m.` / etc. to `AM` (uppercase, no other characters).
 */
declare function normalizeAMPM(ampm: string): string;
export { regexSplitTime, convertTime12to24, normalizeTime, normalizeAMPM };
